diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 5c168cd7..c1c24861 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -571,7 +569,7 @@ define('pgadmin.node.type', [
             disabled: 'inSchemaWithModelCheck'
             ,control: 'node-ajax-options', url: 'get_external_functions',
             transform: 'external_func_combo',
-            select2: { allowClear: true, placeholder: "", width: "100%" }
+            select2: { allowClear: true, placeholder: '', width: '100%' },
           },{
             id: 'typsend', label: gettext('Send function'),
             cell: 'string', group: gettext('Optional-1'),
@@ -579,56 +577,56 @@ define('pgadmin.node.type', [
             disabled: 'inSchemaWithModelCheck'
             ,control: 'node-ajax-options', url: 'get_external_functions',
             transform: 'external_func_combo',
-            select2: { allowClear: true, placeholder: "", width: "100%" }
+            select2: { allowClear: true, placeholder: '', width: '100%' },
           },{
             id: 'typmodin', label: gettext('Typmod in function'),
             cell: 'string', type: 'text',
             mode: ['properties', 'create', 'edit'], group: gettext('Optional-1'),
             disabled: 'inSchemaWithModelCheck',
             control: 'node-ajax-options', url: 'get_external_functions',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             transform: function(d) {
-              var result = [{label :"", value : ""}];
+              var result = [{label :'', value : ''}];
               _.each(d, function(item) {
-              // if type from selected from combobox matches in options
-              if ( item.cbtype === 'typmodin' || item.cbtype === 'all') {
-                result.push(item);
-              }
-             });
-             return result;
-            }
+                // if type from selected from combobox matches in options
+                if ( item.cbtype === 'typmodin' || item.cbtype === 'all') {
+                  result.push(item);
+                }
+              });
+              return result;
+            },
           },{
             id: 'typmodout', label: gettext('Typmod out function'),
             cell: 'string', group: gettext('Optional-1'),
             type: 'text', mode: ['properties', 'create', 'edit'],
             disabled: 'inSchemaWithModelCheck',
             control: 'node-ajax-options', url: 'get_external_functions',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             transform: function(d) {
-              var result = [{label :"", value : ""}];
+              var result = [{label :'', value : ''}];
               _.each(d, function(item) {
-              // if type from selected from combobox matches in options
-              if ( item.cbtype === 'typmodout' || item.cbtype === 'all') {
-                result.push(item);
-              }
-             });
-             return result;
-            }
+                // if type from selected from combobox matches in options
+                if ( item.cbtype === 'typmodout' || item.cbtype === 'all') {
+                  result.push(item);
+                }
+              });
+              return result;
+            },
           },{
             id: 'typlen', label: gettext('Internal length'),
             cell: 'integer', group: gettext('Optional-1'),
             type: 'int', mode: ['properties', 'create', 'edit'],
-            disabled: 'inSchemaWithModelCheck'
+            disabled: 'inSchemaWithModelCheck',
           },{
             id: 'variable', label: gettext('Variable?'), cell: 'switch',
             group: gettext('Optional-1'), type: 'switch',
             mode: ['create','edit'],
-            disabled: 'inSchemaWithModelCheck'
+            disabled: 'inSchemaWithModelCheck',
           },{
             id: 'typdefault', label: gettext('Default?'),
             cell: 'string', group: gettext('Optional-1'),
             type: 'text', mode: ['properties', 'create','edit'],
-            disabled: 'inSchemaWithModelCheck'
+            disabled: 'inSchemaWithModelCheck',
           },{
             id: 'typanalyze', label: gettext('Analyze function'),
             cell: 'string', group: gettext('Optional-1'),
@@ -636,70 +634,70 @@ define('pgadmin.node.type', [
             disabled: 'inSchemaWithModelCheck'
             ,control: 'node-ajax-options', url: 'get_external_functions',
             transform: 'external_func_combo',
-            select2: { allowClear: true, placeholder: "", width: "100%" }
+            select2: { allowClear: true, placeholder: '', width: '100%' },
           },{
             id: 'typcategory', label: gettext('Category type'),
             cell: 'string', group: gettext('Optional-1'),
             type: 'text', mode: ['properties', 'create','edit'],
             disabled: 'inSchemaWithModelCheck', control: 'select2',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             options: [
-              {label :"", value : ""},
-              {label :"Array types", value : "A"},
-              {label :"Boolean types", value : "B"},
-              {label :"Composite types", value : "C"},
-              {label :"Date/time types", value : "D"},
-              {label :"Enum types", value : "E"},
-              {label :"Geometric types", value : "G"},
-              {label :"Network address types", value : "I"},
-              {label :"Numeric types", value : "N"},
-              {label :"Pseudo-types", value : "P"},
-              {label :"String types", value : "S"},
-              {label :"Timespan types", value : "T"},
-              {label :"User-defined types", value : "U"},
-              {label :"Bit-string types", value : "V"},
-              {label :"unknown type", value : "X"}
-            ]
+              {label :'', value : ''},
+              {label :'Array types', value : 'A'},
+              {label :'Boolean types', value : 'B'},
+              {label :'Composite types', value : 'C'},
+              {label :'Date/time types', value : 'D'},
+              {label :'Enum types', value : 'E'},
+              {label :'Geometric types', value : 'G'},
+              {label :'Network address types', value : 'I'},
+              {label :'Numeric types', value : 'N'},
+              {label :'Pseudo-types', value : 'P'},
+              {label :'String types', value : 'S'},
+              {label :'Timespan types', value : 'T'},
+              {label :'User-defined types', value : 'U'},
+              {label :'Bit-string types', value : 'V'},
+              {label :'unknown type', value : 'X'},
+            ],
           },{
             id: 'typispreferred', label: gettext('Preferred?'), cell: 'switch',
             type: 'switch', mode: ['properties', 'create','edit'],
             disabled: 'inSchemaWithModelCheck',
-            group: gettext('Optional-1')
+            group: gettext('Optional-1'),
           },{
             id: 'element', label: gettext('Element type'), cell: 'string',
             control: 'node-ajax-options', group: gettext('Optional-2'),
             type: 'text', mode: ['properties', 'create', 'edit'],
-            disabled: 'inSchemaWithModelCheck', url: 'get_types'
+            disabled: 'inSchemaWithModelCheck', url: 'get_types',
           },{
             id: 'typdelim', label: gettext('Delimiter'), cell: 'string',
             type: 'text', mode: ['properties', 'create', 'edit'],
-            group: gettext('Optional-2'), disabled: 'inSchemaWithModelCheck'
+            group: gettext('Optional-2'), disabled: 'inSchemaWithModelCheck',
           },{
             id: 'typalign', label: gettext('Alignment type'),
             cell: 'string', group: gettext('Optional-2'),
             type: 'text', mode: ['properties', 'create', 'edit'],
             disabled: 'inSchemaWithModelCheck', control: 'select2',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             options: [
-              {label :"", value : ""},
-              {label: "char", value: "c"},
-              {label: "int2", value: "s"},
-              {label: "int4", value: "i"},
-              {label: "double", value: "d"},
-            ]
+              {label :'', value : ''},
+              {label: 'char', value: 'c'},
+              {label: 'int2', value: 's'},
+              {label: 'int4', value: 'i'},
+              {label: 'double', value: 'd'},
+            ],
           },{
             id: 'typstorage', label: gettext('Storage type'),
             type: 'text', mode: ['properties', 'create', 'edit'],
             group: gettext('Optional-2'), cell: 'string',
             disabled: 'inSchemaWithModelCheck', control: 'select2',
-            select2: { allowClear: true, placeholder: "", width: "100%" },
+            select2: { allowClear: true, placeholder: '', width: '100%' },
             options: [
-              {label :"", value : ""},
-              {label: "PLAIN", value: "p"},
-              {label: "EXTERNAL", value: "e"},
-              {label: "MAIN", value: "m"},
-              {label: "EXTENDED", value: "x"},
-             ]
+              {label :'', value : ''},
+              {label: 'PLAIN', value: 'p'},
+              {label: 'EXTERNAL', value: 'e'},
+              {label: 'MAIN', value: 'm'},
+              {label: 'EXTENDED', value: 'x'},
+            ],
           },{
             id: 'typbyval', label: gettext('Passed by value?'),
             cell: 'switch',
@@ -709,17 +707,17 @@ define('pgadmin.node.type', [
             id: 'is_collatable', label: gettext('Collatable?'),
             cell: 'switch',  min_version: 90100, group: gettext('Optional-2'),
             type: 'switch', mode: ['properties', 'create', 'edit'],
-            disabled: 'inSchemaWithModelCheck'
-          // End of extension tab
-        }]
+            disabled: 'inSchemaWithModelCheck',
+            // End of extension tab
+          }],
         },{
           id: 'alias', label: gettext('Alias'), cell: 'string',
           type: 'text', mode: ['properties'],
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         }, pgBrowser.SecurityGroupSchema,{
           id: 'type_acl', label: gettext('Privileges'), cell: 'string',
           type: 'text', mode: ['properties'], group: 'security',
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'member_list', label: gettext('Members'), cell: 'string',
           type: 'text', mode: ['properties'], group: gettext('Definition'),
@@ -728,7 +726,7 @@ define('pgadmin.node.type', [
               return true;
             }
             return false;
-          }
+          },
         },{
           id: 'enum_list', label: gettext('Labels'), cell: 'string',
           type: 'text', mode: ['properties'], group: gettext('Definition'),
@@ -737,20 +735,20 @@ define('pgadmin.node.type', [
               return true;
             }
             return false;
-          }
+          },
         },{
           id: 'is_sys_type', label: gettext('System type?'), cell: 'switch',
           type: 'switch', mode: ['properties'],
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'description', label: gettext('Comment'), cell: 'string',
           type: 'multiline', mode: ['properties', 'create', 'edit'],
-          disabled: 'inSchema'
+          disabled: 'inSchema',
         },{
           id: 'typacl', label: gettext('Privileges'), type: 'collection',
           group: 'security', control: 'unique-col-collection',
           model: pgBrowser.Node.PrivilegeRoleModel.extend({
-            privileges: ['U']
+            privileges: ['U'],
           }),
           mode: ['edit', 'create'], canDelete: true,
           uniqueCol : ['grantee'], deps: ['typtype'],
@@ -758,12 +756,12 @@ define('pgadmin.node.type', [
             // Do not allow to add when shell type is selected
             // Clear acl & security label collections as well
             if (m.get('typtype') === 'p') {
-                var acl = m.get('typacl');
-                  if(acl.length > 0)
-                    acl.reset();
+              var acl = m.get('typacl');
+              if(acl.length > 0)
+                acl.reset();
             }
             return !(m.get('typtype') === 'p');
-          }
+          },
         },{
           id: 'seclabels', label: gettext('Security Labels'),
           model: pgBrowser.SecLabelModel, editable: false, type: 'collection',
@@ -774,24 +772,23 @@ define('pgadmin.node.type', [
             // Do not allow to add when shell type is selected
             // Clear acl & security label collections as well
             if (m.get('typtype') === 'p') {
-                var secLabs = m.get('seclabels');
-                  if(secLabs.length > 0)
-                    secLabs.reset();
+              var secLabs = m.get('seclabels');
+              if(secLabs.length > 0)
+                secLabs.reset();
             }
             return !(m.get('typtype') === 'p');
-          }
+          },
         }],
         validate: function() {
-        // Validation code for required fields
-          var changedAttrs = this.sessAttrs,
-              msg = undefined;
+          // Validation code for required fields
+          var msg;
 
           this.errorModel.clear();
 
           if (
             _.isUndefined(this.get('name')) ||
-            _.isNull(this.get('name')) ||
-            String(this.get('name')).replace(/^\s+|\s+$/g, '') == ''
+              _.isNull(this.get('name')) ||
+              String(this.get('name')).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Name cannot be empty.');
             this.errorModel.set('name', msg);
@@ -800,8 +797,8 @@ define('pgadmin.node.type', [
 
           if (
             _.isUndefined(this.get('schema')) ||
-            _.isNull(this.get('schema')) ||
-            String(this.get('schema')).replace(/^\s+|\s+$/g, '') == ''
+              _.isNull(this.get('schema')) ||
+              String(this.get('schema')).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Schema cannot be empty.');
             this.errorModel.set('schema', msg);
@@ -810,8 +807,8 @@ define('pgadmin.node.type', [
 
           if (
             _.isUndefined(this.get('typtype')) ||
-            _.isNull(this.get('typtype')) ||
-            String(this.get('typtype')).replace(/^\s+|\s+$/g, '') == ''
+              _.isNull(this.get('typtype')) ||
+              String(this.get('typtype')).replace(/^\s+|\s+$/g, '') == ''
           ) {
             msg = gettext('Type cannot be empty.');
             this.errorModel.set('typtype', msg);
@@ -820,37 +817,37 @@ define('pgadmin.node.type', [
 
           // For Range
           if(this.get('typtype') == 'r') {
-              if (
-                _.isUndefined(this.get('typname')) ||
+            if (
+              _.isUndefined(this.get('typname')) ||
                 _.isNull(this.get('typname')) ||
                 String(this.get('typname')).replace(/^\s+|\s+$/g, '') == ''
-              ) {
-                msg = gettext('Subtype name cannot be empty.');
-                this.errorModel.set('typname', msg);
-                return msg;
-              }
+            ) {
+              msg = gettext('Subtype name cannot be empty.');
+              this.errorModel.set('typname', msg);
+              return msg;
+            }
           }
 
           // For External
           if(this.get('typtype') == 'b') {
-              if (
-                _.isUndefined(this.get('typinput')) ||
+            if (
+              _.isUndefined(this.get('typinput')) ||
                 _.isNull(this.get('typinput')) ||
                 String(this.get('typinput')).replace(/^\s+|\s+$/g, '') == ''
-              ) {
-                msg = gettext('Input function cannot be empty.');
-                this.errorModel.set('typinput', msg);
-                return msg;
-              }
-              if (
-                _.isUndefined(this.get('typoutput')) ||
+            ) {
+              msg = gettext('Input function cannot be empty.');
+              this.errorModel.set('typinput', msg);
+              return msg;
+            }
+            if (
+              _.isUndefined(this.get('typoutput')) ||
                 _.isNull(this.get('typoutput')) ||
                 String(this.get('typoutput')).replace(/^\s+|\s+$/g, '') == ''
-              ) {
-                msg = gettext('Output function cannot be empty.');
-                this.errorModel.set('typoutput', msg);
-                return msg;
-              }
+            ) {
+              msg = gettext('Output function cannot be empty.');
+              this.errorModel.set('typoutput', msg);
+              return msg;
+            }
           }
 
           return null;
@@ -904,45 +901,45 @@ define('pgadmin.node.type', [
         },
         // Function will help us to fill combobox
         external_func_combo: function(d) {
-           var result = [];
-           _.each(d, function(item) {
-             // if type from selected from combobox matches in options
-             if ( item.cbtype == 'all' ) {
-               result.push(item);
-             }
-           });
-           return result;
-        }
+          var result = [];
+          _.each(d, function(item) {
+            // if type from selected from combobox matches in options
+            if ( item.cbtype == 'all' ) {
+              result.push(item);
+            }
+          });
+          return result;
+        },
       }),
       canCreate: function(itemData, item, data) {
-          //If check is false then , we will allow create menu
-          if (data && data.check == false)
-            return true;
+        //If check is false then , we will allow create menu
+        if (data && data.check == false)
+          return true;
 
-          var t = pgBrowser.tree, i = item, d = itemData;
-          // To iterate over tree to check parent node
-          while (i) {
-            // If it is schema then allow user to create table
-            if (_.indexOf(['schema'], d._type) > -1)
-              return true;
+        var t = pgBrowser.tree, i = item, d = itemData;
+        // To iterate over tree to check parent node
+        while (i) {
+          // If it is schema then allow user to create table
+          if (_.indexOf(['schema'], d._type) > -1)
+            return true;
 
-            if ('coll-type' == d._type) {
-              //Check if we are not child of catalog
-              var prev_i = t.hasParent(i) ? t.parent(i) : null,
+          if ('coll-type' == d._type) {
+            //Check if we are not child of catalog
+            var prev_i = t.hasParent(i) ? t.parent(i) : null,
               prev_d = prev_i ? t.itemData(prev_i) : null;
-              if( prev_d._type == 'catalog') {
-                return false;
-              } else {
-                return true;
-              }
+            if( prev_d._type == 'catalog') {
+              return false;
+            } else {
+              return true;
             }
-            i = t.hasParent(i) ? t.parent(i) : null;
-            d = i ? t.itemData(i) : null;
           }
-          // by default we do not want to allow create menu
-          return true;
-      }
-  });
+          i = t.hasParent(i) ? t.parent(i) : null;
+          d = i ? t.itemData(i) : null;
+        }
+        // by default we do not want to allow create menu
+        return true;
+      },
+    });
   }
   return pgBrowser.Nodes['type'];
 });
